import { cn } from "../../lib/utils.js";
import { c } from "react/compiler-runtime";
import { jsx } from "react/jsx-runtime";
function Skeleton(r) {
	let i = c(8), a, o;
	i[0] === r ? (a = i[1], o = i[2]) : ({className: a, ...o} = r, i[0] = r, i[1] = a, i[2] = o);
	let s;
	i[3] === a ? s = i[4] : (s = cn("bg-accent animate-pulse rounded-md", a), i[3] = a, i[4] = s);
	let l;
	return i[5] !== o || i[6] !== s ? (l = /* @__PURE__ */ jsx("div", {
		"data-slot": "skeleton",
		className: s,
		...o
	}), i[5] = o, i[6] = s, i[7] = l) : l = i[7], l;
}
export { Skeleton };
